Orbiter-Forum  

Go Back   Orbiter-Forum > Orbiter Space Flight Simulator > General Questions & Help
Register Blogs Orbinauts List Social Groups FAQ Projects Mark Forums Read

General Questions & Help General & Advanced Orbiter flight questions, Orbiter installation questions, to all other help topics here.

Reply
 
Thread Tools
Old 01-29-2013, 04:36 PM   #1
DutchPlayer
Orbinaut
 
DutchPlayer's Avatar
Default Spacecraft3.dll in Orbiter 2010

Hello there,

While I was looking throught the add-ons on Orbit hangar, I saw that many add-ons need Vinka's spacecraft3.dll. I went to the download page, and I can't find the version for Orbiter 2010.

Space Station building blocks need also the .dll, but this add-on is compitable for Orbiter 2010 (you can see it by recommended add-ons, at this forum).

The problem: there is no spacecraft3.dll for Orbiter 2010.

If there is one, I'm really sorry!

Kind regards,

Dutchplayer
DutchPlayer is offline   Reply With Quote
Old 01-29-2013, 04:42 PM   #2
BruceJohnJennerLawso
Dread Lord of the Idiots
 
BruceJohnJennerLawso's Avatar
Default

Quote:
Originally Posted by DutchPlayer View Post
 Hello there,

While I was looking throught the add-ons on Orbit hangar, I saw that many add-ons need Vinka's spacecraft3.dll. I went to the download page, and I can't find the version for Orbiter 2010.

Space Station building blocks need also the .dll, but this add-on is compitable for Orbiter 2010 (you can see it by recommended add-ons, at this forum).

The problem: there is no spacecraft3.dll for Orbiter 2010.

If there is one, I'm really sorry!

Kind regards,

Dutchplayer
It still "works", so you can just install the one that says 2006. That being said, the addon has not been updated in a very long time and is very likely to eventually become incompatible with future orbiter development.

Speaking of the building blocks, I might be willing to redo the whole package as Dlled, UMMU/UCGO compatible modules with some consumeables simulation. Would there be interest in that?
BruceJohnJennerLawso is offline   Reply With Quote
Thanked by:
Old 01-29-2013, 05:01 PM   #3
DutchPlayer
Orbinaut
 
DutchPlayer's Avatar
Default

I really think so! It sounds already good! It should be nice if you can put the blocks in the XR-5's payload.

I really think people will like it. They have to build it, expand it, power it, make sure the UMMU can stay there. It is a challange. And scenario/mission writers can write missions to build a space station. The UMMU need to get the cargo in the cargo bay. You know, there is a lot to do for the players who downloaded it.

You could make a thread on the forum, and let the people vote if they want it. I will vote for the YES!

I think it will be really apreciated by a lot of people.
DutchPlayer is offline   Reply With Quote
Old 01-29-2013, 05:29 PM   #4
MaverickSawyer
Acolyte of the Probe
 
MaverickSawyer's Avatar
Default

Quote:
Originally Posted by DutchPlayer View Post
 -snip-
It should be nice if you can put the blocks in the XR-5's payload.
-snip-
there is actually an addon over at the Hangar that does this for you.
Ah, here it is:
XR5 Payload - Station Building Blocks 4.1
MaverickSawyer is online now   Reply With Quote
Old 01-29-2013, 05:49 PM   #5
Izack
Non sequitur
 
Izack's Avatar
Default

Quote:
Originally Posted by BruceJohnJennerLawso View Post
 Speaking of the building blocks, I might be willing to redo the whole package as Dlled, UMMU/UCGO compatible modules with some consumeables simulation. Would there be interest in that?
Yes, definitely.
Izack is offline   Reply With Quote
Old 01-29-2013, 05:54 PM   #6
MaverickSawyer
Acolyte of the Probe
 
MaverickSawyer's Avatar
Default

Quote:
Originally Posted by BruceJohnJennerLawso View Post
 -snip-
Speaking of the building blocks, I might be willing to redo the whole package as Dlled, UMMU/UCGO compatible modules with some consumeables simulation. Would there be interest in that?
It's called IMS. Although the UCGO compatibility is NOT implemented in IMS...
MaverickSawyer is online now   Reply With Quote
Old 01-29-2013, 05:55 PM   #7
Donamy
Beta Tester


Default

Quote:
Originally Posted by BruceJohnJennerLawso View Post
 ... That being said, the addon has not been updated in a very long time and is very likely to eventually become incompatible with future orbiter development.
I doubt that !! It would kill too many addons, and would eliminate more than half the developers (me included), who don't code.
Donamy is offline   Reply With Quote
Thanked by:
Old 01-29-2013, 06:06 PM   #8
Izack
Non sequitur
 
Izack's Avatar
Default

Quote:
Originally Posted by MaverickSawyer View Post
 It's called IMS. Although the UCGO compatibility is NOT implemented in IMS...
Doesn't discount the usefulness of a standalone, simple (by comparison to IMS project, that is) conversion.
Quote:
Originally Posted by Donamy View Post
 I doubt that !! It would kill too many addons, and would eliminate more than half the developers (me included), who don't code.
Maintaining old, unupdated addons isn't a priority in Orbiter development, as far as I know. However, it's probably still possible to contact Vinka, and perhaps obtain the source code and continue maintaining / developing Spacecraft 3. If I remember correctly, a user did get to him relatively recently (was it Epsilon, perhaps?)
Izack is offline   Reply With Quote
Thanked by:
Old 01-29-2013, 06:11 PM   #9
Donamy
Beta Tester


Default

Quote:
Originally Posted by Izack View Post
 Maintaining old, unupdated addons isn't a priority in Orbiter development, as far as I know.?)
I don't think you are correct. Look at Dx9, it supports SC3.

Quote:
Originally Posted by Izack View Post
  However, it's probably still possible to contact Vinka, and perhaps obtain the source code and continue maintaining / developing Spacecraft 3. If I remember correctly, a user did get to him relatively recently (was it Epsilon, perhaps?)
I haven't heard this. I was in contact with him quite often in the past, but have not been able to get a response from him in a couple of years.
Donamy is offline   Reply With Quote
Thanked by:
Old 01-29-2013, 06:15 PM   #10
Cras
Spring of Life!
 
Cras's Avatar
Default

If SC3 becomes obsolete, everyone will suffer, for the reason Donamy pointed out.

It is important enough for there to be a way to get it to work in the graphics clients, which is the future of Orbiter anyway.

As for IMS...it does not work in graphics clients. And because of that, for me it might as well not even exist.
Cras is offline   Reply With Quote
Old 01-29-2013, 06:23 PM   #11
DutchPlayer
Orbinaut
 
DutchPlayer's Avatar
Default

Quote:
Originally Posted by MaverickSawyer View Post
 there is actually an addon over at the Hangar that does this for you.
Ah, here it is: XR5 Payload - Station Building Blocks 4.1
I know I already have it but thanks
DutchPlayer is offline   Reply With Quote
Old 01-29-2013, 06:41 PM   #12
Izack
Non sequitur
 
Izack's Avatar
Default

Quote:
Originally Posted by Donamy View Post
 I don't think you are correct. Look at Dx9, it supports SC3.
It does, by popular demand. But if Martin introduces a new feature or change that breaks spacecraft3, I don't see it being rolled back or fixed unless it's something trivial.
Quote:
Originally Posted by Donamy View Post
 I haven't heard this. I was in contact with him quite often in the past, but have not been able to get a response from him in a couple of years.
Ah? I could easily be mistaken.
Izack is offline   Reply With Quote
Old 01-30-2013, 02:04 PM   #13
Ripley
Tutorial translator
 
Ripley's Avatar
Default

IIRC, I've also read something about someone saying that Vinka was thinking of updating his packages.
Yes I know it sounds very vague, and it was quite some time ago too (can well be a couple of years ago), but that's what I recall...

Last edited by Ripley; 01-30-2013 at 02:11 PM.
Ripley is online now   Reply With Quote
Old 01-30-2013, 02:17 PM   #14
N_Molson
Addon Developer
 
N_Molson's Avatar

Default

Quote:
That being said, the addon has not been updated in a very long time and is very likely to eventually become incompatible with future orbiter development.
I agree. SC3 is becoming a bit "antique".

Quote:
I doubt that !! It would kill too many addons, and would eliminate more than half the developers (me included), who don't code.
Progress always comes at a price. And Orbiter definitively needs to go forward, addon compatibility must not be a brake. Also, there are many good tutorials, the hardest part of it is to install correctly VC++ and the libraries packages, really (and there is even a video tutorial for that) !

Also, don't forget that Artlav made an easy-to-use SC3 to DLL converter, it's a very useful asset.

Quote:
Maintaining old, unupdated addons isn't a priority in Orbiter development, as far as I know.
I completely agree with that. It's the developper's job to keep their stuff updated.
N_Molson is offline   Reply With Quote
Old 01-30-2013, 02:23 PM   #15
Ripley
Tutorial translator
 
Ripley's Avatar
Default

Quote:
Originally Posted by N_Molson View Post
 ...Also, don't forget that Artlav made an easy-to-use SC3 to DLL converter, it's a very useful asset...
+1

Quote:
Originally Posted by N_Molson View Post
 ...It's the developper's job to keep their stuff updated.
Or donate his sources to the community, when in lack of time/motivation to mantain it.

Last edited by Ripley; 01-30-2013 at 03:07 PM. Reason: quote added
Ripley is online now   Reply With Quote
Thanked by:
Reply

  Orbiter-Forum > Orbiter Space Flight Simulator > General Questions & Help


Thread Tools

Posting Rules
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
Forum Jump


All times are GMT. The time now is 02:05 AM.

Quick Links Need Help?


About Us | Rules & Guidelines | TOS Policy | Privacy Policy

Orbiter-Forum is hosted at Orbithangar.com
Powered by vBulletin® Version 3.8.6
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Copyright 2007 - 2017, Orbiter-Forum.com. All rights reserved.